Subject: Re: [PATCH] net: skbuff: Fix length validation in skb_vlan_pop()

From: Shmulik Ladkani <[email-masked]>
Date: Mon, 19 Sep 2016 18:20:14 +0300

On Mon, 19 Sep 2016 16:05:17 +0300 Shmulik Ladkani <[email-masked]> wrote:
> Also, I'm okay with removing the excess 'skb->mac_len < VLAN_ETH_HLEN'
> condition if it is agreed that the "tag exists but insufficient to pop"
> semantic is no longer wanted.

Thinking this over, the condition is indeed superflous, will send a v2.